org.apache.tapestry5.jcache.internal

## Class TapestryIoCInternalCacheInvocationContext<A extends Annotation>

- java.lang.Object
- - org.jsr107.ri.annotations.AbstractInternalCacheInvocationContext<MethodInvocation,A>
  - - org.apache.tapestry5.jcache.internal.TapestryIoCInternalCacheInvocationContext<A>

- Type Parameters:
    `A` - The type of annotation this context information is for. One of `CacheResult`, `CachePut`, `CacheRemove`, or `CacheRemoveAll`.
  All Implemented Interfaces:
    javax.cache.annotation.CacheInvocationContext<A>, javax.cache.annotation.CacheMethodDetails<A>, org.jsr107.ri.annotations.InternalCacheInvocationContext<A>

      public class TapestryIoCInternalCacheInvocationContext<A extends Annotation>
      extends org.jsr107.ri.annotations.AbstractInternalCacheInvocationContext<MethodInvocation,A>

  Tapestry-IoC specific cache invocation context using `MethodInvocation`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TapestryIoCInternalCacheInvocationContext(org.jsr107.ri.annotations.StaticCacheInvocationContext<A> staticCacheInvocationContext, MethodInvocation invocation)` Create new cache key invocation context for the static context and invocation

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected Method` | `getMethod(MethodInvocation invocation)`
    `protected Object[]` | `getParameters(MethodInvocation invocation)`
    `protected Object` | `getTarget(MethodInvocation invocation)`

    - ### Methods inherited from class org.jsr107.ri.annotations.AbstractInternalCacheInvocationContext

      `getAllParameters, getAnnotations, getCacheAnnotation, getCacheName, getMethod, getStaticCacheInvocationContext, getTarget, unwrap`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TapestryIoCInternalCacheInvocationContext

          public TapestryIoCInternalCacheInvocationContext(org.jsr107.ri.annotations.StaticCacheInvocationContext<A> staticCacheInvocationContext,
                                                           MethodInvocation invocation)

      Create new cache key invocation context for the static context and invocation
      Parameters:
        `staticCacheInvocationContext` - Static information about the invoked method
        `invocation` - The AOP Alliance invocation context

  - ### Method Detail

    - #### getParameters

          protected Object[] getParameters(MethodInvocation invocation)

      Specified by:
        `getParameters` in class `org.jsr107.ri.annotations.AbstractInternalCacheInvocationContext<MethodInvocation,A extends Annotation>`

    - #### getMethod

          protected Method getMethod(MethodInvocation invocation)

      Specified by:
        `getMethod` in class `org.jsr107.ri.annotations.AbstractInternalCacheInvocationContext<MethodInvocation,A extends Annotation>`

    - #### getTarget

          protected Object getTarget(MethodInvocation invocation)

      Specified by:
        `getTarget` in class `org.jsr107.ri.annotations.AbstractInternalCacheInvocationContext<MethodInvocation,A extends Annotation>`

${project.version} - Copyright © 2003-2015 The Apache Software Foundation.